import { VenueFragment } from "@/gql/graphql";
import { VenueItem } from "./VenueItem";
import styles from "./venueList.module.scss";

export const VenueList = ({
  venues,
  heading,
}: {
  venues: VenueFragment[];
  heading?: string;
}) => {
  return (
    <div>
      {heading && (
        <h2 className="circlehead">
          <span className="circle"></span>
          <span className="circle"></span>
          <span className="circle"></span>
          {heading}
        </h2>
      )}
      <ul className={styles.venueList}>
        {venues.map((venue) => (
          <VenueItem key={venue.id} venue={venue} />
        ))}
      </ul>
    </div>
  );
};
